package com.yxproject.start.entity;

import javax.persistence.*;
import java.util.Objects;

@Entity
@Table(name = "PREPRO_PERSON", schema = "POST", catalog = "")
public class PreproPersonEntity {
    private String jmsfzslh;
    private String gmsfhm;
    private String xm;
    private String xbdm;
    private String mzdm;
    private String csrq;
    private String ssxqdm;
    private String dzmc;
    private String sdxp;
    private String zwyZwtxsj;
    private String zwyZwtzsj;
    private String zweZwtxsj;
    private String zweZwtzsj;
    private String qfjgGajgmc;
    private String yxqqsrq;
    private String yxqjzrq;
    private String jmsfzslyydm;
    private String jmsfzzzlxdm;
    private String jmsfzlzfsdm;
    private String sjrXm;
    private String sjrLxdh;
    private String sjrYzbm;
    private String sjrTxdz;
    private String sid;
    private String fileName;

    @Id
    @Column(name = "JMSFZSLH")
    public String getJmsfzslh() {
        return jmsfzslh;
    }

    public void setJmsfzslh(String jmsfzslh) {
        this.jmsfzslh = jmsfzslh;
    }

    @Basic
    @Column(name = "GMSFHM")
    public String getGmsfhm() {
        return gmsfhm;
    }

    public void setGmsfhm(String gmsfhm) {
        this.gmsfhm = gmsfhm;
    }

    @Basic
    @Column(name = "XM")
    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    @Basic
    @Column(name = "XBDM")
    public String getXbdm() {
        return xbdm;
    }

    public void setXbdm(String xbdm) {
        this.xbdm = xbdm;
    }

    @Basic
    @Column(name = "MZDM")
    public String getMzdm() {
        return mzdm;
    }

    public void setMzdm(String mzdm) {
        this.mzdm = mzdm;
    }

    @Basic
    @Column(name = "CSRQ")
    public String getCsrq() {
        return csrq;
    }

    public void setCsrq(String csrq) {
        this.csrq = csrq;
    }

    @Basic
    @Column(name = "SSXQDM")
    public String getSsxqdm() {
        return ssxqdm;
    }

    public void setSsxqdm(String ssxqdm) {
        this.ssxqdm = ssxqdm;
    }

    @Basic
    @Column(name = "DZMC")
    public String getDzmc() {
        return dzmc;
    }

    public void setDzmc(String dzmc) {
        this.dzmc = dzmc;
    }

    @Basic
    @Column(name = "SDXP")
    public String getSdxp() {
        return sdxp;
    }

    public void setSdxp(String sdxp) {
        this.sdxp = sdxp;
    }

    @Basic
    @Column(name = "ZWY_ZWTXSJ")
    public String getZwyZwtxsj() {
        return zwyZwtxsj;
    }

    public void setZwyZwtxsj(String zwyZwtxsj) {
        this.zwyZwtxsj = zwyZwtxsj;
    }

    @Basic
    @Column(name = "ZWY_ZWTZSJ")
    public String getZwyZwtzsj() {
        return zwyZwtzsj;
    }

    public void setZwyZwtzsj(String zwyZwtzsj) {
        this.zwyZwtzsj = zwyZwtzsj;
    }

    @Basic
    @Column(name = "ZWE_ZWTXSJ")
    public String getZweZwtxsj() {
        return zweZwtxsj;
    }

    public void setZweZwtxsj(String zweZwtxsj) {
        this.zweZwtxsj = zweZwtxsj;
    }

    @Basic
    @Column(name = "ZWE_ZWTZSJ")
    public String getZweZwtzsj() {
        return zweZwtzsj;
    }

    public void setZweZwtzsj(String zweZwtzsj) {
        this.zweZwtzsj = zweZwtzsj;
    }

    @Basic
    @Column(name = "QFJG_GAJGMC")
    public String getQfjgGajgmc() {
        return qfjgGajgmc;
    }

    public void setQfjgGajgmc(String qfjgGajgmc) {
        this.qfjgGajgmc = qfjgGajgmc;
    }

    @Basic
    @Column(name = "YXQQSRQ")
    public String getYxqqsrq() {
        return yxqqsrq;
    }

    public void setYxqqsrq(String yxqqsrq) {
        this.yxqqsrq = yxqqsrq;
    }

    @Basic
    @Column(name = "YXQJZRQ")
    public String getYxqjzrq() {
        return yxqjzrq;
    }

    public void setYxqjzrq(String yxqjzrq) {
        this.yxqjzrq = yxqjzrq;
    }

    @Basic
    @Column(name = "JMSFZSLYYDM")
    public String getJmsfzslyydm() {
        return jmsfzslyydm;
    }

    public void setJmsfzslyydm(String jmsfzslyydm) {
        this.jmsfzslyydm = jmsfzslyydm;
    }

    @Basic
    @Column(name = "JMSFZZZLXDM")
    public String getJmsfzzzlxdm() {
        return jmsfzzzlxdm;
    }

    public void setJmsfzzzlxdm(String jmsfzzzlxdm) {
        this.jmsfzzzlxdm = jmsfzzzlxdm;
    }

    @Basic
    @Column(name = "JMSFZLZFSDM")
    public String getJmsfzlzfsdm() {
        return jmsfzlzfsdm;
    }

    public void setJmsfzlzfsdm(String jmsfzlzfsdm) {
        this.jmsfzlzfsdm = jmsfzlzfsdm;
    }

    @Basic
    @Column(name = "SJR_XM")
    public String getSjrXm() {
        return sjrXm;
    }

    public void setSjrXm(String sjrXm) {
        this.sjrXm = sjrXm;
    }

    @Basic
    @Column(name = "SJR_LXDH")
    public String getSjrLxdh() {
        return sjrLxdh;
    }

    public void setSjrLxdh(String sjrLxdh) {
        this.sjrLxdh = sjrLxdh;
    }

    @Basic
    @Column(name = "SJR_YZBM")
    public String getSjrYzbm() {
        return sjrYzbm;
    }

    public void setSjrYzbm(String sjrYzbm) {
        this.sjrYzbm = sjrYzbm;
    }

    @Basic
    @Column(name = "SJR_TXDZ")
    public String getSjrTxdz() {
        return sjrTxdz;
    }

    public void setSjrTxdz(String sjrTxdz) {
        this.sjrTxdz = sjrTxdz;
    }

    @Basic
    @Column(name = "SID")
    public String getSid() {
        return sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }

    @Basic
    @Column(name = "FILE_NAME")
    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        PreproPersonEntity that = (PreproPersonEntity) o;
        return Objects.equals(jmsfzslh, that.jmsfzslh) &&
                Objects.equals(gmsfhm, that.gmsfhm) &&
                Objects.equals(xm, that.xm) &&
                Objects.equals(xbdm, that.xbdm) &&
                Objects.equals(mzdm, that.mzdm) &&
                Objects.equals(csrq, that.csrq) &&
                Objects.equals(ssxqdm, that.ssxqdm) &&
                Objects.equals(dzmc, that.dzmc) &&
                Objects.equals(sdxp, that.sdxp) &&
                Objects.equals(zwyZwtxsj, that.zwyZwtxsj) &&
                Objects.equals(zwyZwtzsj, that.zwyZwtzsj) &&
                Objects.equals(zweZwtxsj, that.zweZwtxsj) &&
                Objects.equals(zweZwtzsj, that.zweZwtzsj) &&
                Objects.equals(qfjgGajgmc, that.qfjgGajgmc) &&
                Objects.equals(yxqqsrq, that.yxqqsrq) &&
                Objects.equals(yxqjzrq, that.yxqjzrq) &&
                Objects.equals(jmsfzslyydm, that.jmsfzslyydm) &&
                Objects.equals(jmsfzzzlxdm, that.jmsfzzzlxdm) &&
                Objects.equals(jmsfzlzfsdm, that.jmsfzlzfsdm) &&
                Objects.equals(sjrXm, that.sjrXm) &&
                Objects.equals(sjrLxdh, that.sjrLxdh) &&
                Objects.equals(sjrYzbm, that.sjrYzbm) &&
                Objects.equals(sjrTxdz, that.sjrTxdz) &&
                Objects.equals(sid, that.sid) &&
                Objects.equals(fileName, that.fileName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(jmsfzslh, gmsfhm, xm, xbdm, mzdm, csrq, ssxqdm, dzmc, sdxp, zwyZwtxsj, zwyZwtzsj, zweZwtxsj, zweZwtzsj, qfjgGajgmc, yxqqsrq, yxqjzrq, jmsfzslyydm, jmsfzzzlxdm, jmsfzlzfsdm, sjrXm, sjrLxdh, sjrYzbm, sjrTxdz, sid, fileName);
    }
}
